org.wildfly.swarm.config.logging

## Class RootLogger<T extends RootLogger<T>>

- java.lang.Object
- - java.util.AbstractMap<K,V>
  - - java.util.HashMap
    - - org.wildfly.swarm.config.logging.RootLogger<T>

- All Implemented Interfaces:
    Serializable, Cloneable, Map

      public class RootLogger<T extends RootLogger<T>>
      extends HashMap

  Defines the root logger for this log context.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class java.util.AbstractMap

      `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

    - ### Nested classes/interfaces inherited from interface java.util.Map

      `Map.Entry<K,V>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RootLogger()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPropertyChangeListener(PropertyChangeListener listener)` Adds a property change listener
    `String` | `filterSpec()` A filter expression value to define a filter.
    `T` | `filterSpec(String value)` A filter expression value to define a filter.
    `String` | `getKey()`
    `T` | `handler(String value)` The handlers associated with the root logger.
    `List<String>` | `handlers()` The handlers associated with the root logger.
    `T` | `handlers(List<String> value)` The handlers associated with the root logger.
    `T` | `handlers(String... args)` The handlers associated with the root logger.
    `Level` | `level()` The log level specifying which message levels will be logged by the root logger.
    `T` | `level(Level value)` The log level specifying which message levels will be logged by the root logger.
    `void` | `removePropertyChangeListener(PropertyChangeListener listener)` Removes a property change listener

    - ### Methods inherited from class java.util.HashMap

      `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

    - ### Methods inherited from class java.util.AbstractMap

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface java.util.Map

      `equals, hashCode`

- - ### Constructor Detail

    - #### RootLogger

          public RootLogger()

  - ### Method Detail

    - #### getKey

          public String getKey()

    - #### addPropertyChangeListener

          public void addPropertyChangeListener(PropertyChangeListener listener)

      Adds a property change listener

    - #### removePropertyChangeListener

          public void removePropertyChangeListener(PropertyChangeListener listener)

      Removes a property change listener

    - #### filterSpec

          public String filterSpec()

      A filter expression value to define a filter. Example for a filter that does not match a pattern: not(match("JBAS.*"))

    - #### filterSpec

          public T filterSpec(String value)

      A filter expression value to define a filter. Example for a filter that does not match a pattern: not(match("JBAS.*"))

    - #### handlers

          public List<String> handlers()

      The handlers associated with the root logger.

    - #### handlers

          public T handlers(List<String> value)

      The handlers associated with the root logger.

    - #### handler

          public T handler(String value)

      The handlers associated with the root logger.

    - #### handlers

          public T handlers(String... args)

      The handlers associated with the root logger.

    - #### level

          public Level level()

      The log level specifying which message levels will be logged by the root logger. Message levels lower than this value will be discarded.

    - #### level

          public T level(Level value)

      The log level specifying which message levels will be logged by the root logger. Message levels lower than this value will be discarded.

Copyright © 2017 JBoss by Red Hat. All rights reserved.